(function($){
  // JavaScript for "Select All" link in Drupal Ipsum text generation results.
  Drupal.behaviors.drupal_ipsum = {
    attach: function(context, settings) {
      var $link = $('#drupal-ipsum-select', context);

      if ($link.length) {
        $link.click(function(){

          var $text = $('#drupal-ipsum-text', context),
          $textarea = $('#drupal-ipsum-textarea', context);

          if ($text.is(':visible')) {
            $text.hide();
            $textarea.show().get(0).select();
            $(this).text(Drupal.t('Select none'));
          } else {
            $text.show();
            $textarea.hide()
            $(this).text(Drupal.t('Select all'));
          }
        });
      }
    }
  }
}(jQuery));